package com.example.lab.AllTypeCalc.domain;

import com.example.lab.AllTypeCalc.domain.ICalculation;
import org.springframework.stereotype.Component;

@Component(value = "int")

public class CalculationInt implements ICalculation<Integer> {
    @Override
    public Integer GetSum(Integer firstInp, Integer secondInp) {
        return firstInp+secondInp;
    }

    @Override
    public Integer GetMinus(Integer firstInp, Integer secondInp) {
        return firstInp - secondInp;
    }

    @Override
    public Integer GetMult(Integer firstInp, Integer secondInp) {
        return firstInp*secondInp;
    }

    @Override
    public Integer GetDiv(Integer firstInp, Integer secondInp) {
        if (secondInp == 0){
            return 0;
        }
        else{
            return (firstInp/secondInp);
        }
    }
}
