package com.example.lab.AllTypeCalc.configuration;

import com.example.lab.AllTypeCalc.domain.CalculationInt;
import com.example.lab.AllTypeCalc.domain.CalculationStr;
import  com.example.lab.AllTypeCalc.domain.CalculationArr;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Bean;

public class CalcConfig {
    private final Logger log = LoggerFactory.getLogger(com.example.lab.AllTypeCalc.configuration.CalcConfig.class);

    @Bean(value = "int")
    public CalculationInt createCalculationInt(){
        log.info("Call createCalculationInt()");
        return new CalculationInt();
    }

    @Bean(value = "str")
    public CalculationStr createCalculationStr() {
        log.info("Call createCalculationStr()");
        return new CalculationStr();
    }

    @Bean (value = "arr")
    public CalculationArr createCalculationArr() {
        log.info("Call createCalculationArr()");
        return new CalculationArr();
    }
}
