package com.example.lab.AllTypeCalc.controller;

import com.example.lab.AllTypeCalc.service.CalcService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class CalcController {
    private final CalcService calcService;

    public CalcController(CalcService calcService) {
        this.calcService = calcService;
    }

    @GetMapping("/GetSum")
    public Object getSum(@RequestParam(value = "obj1", defaultValue = "null") Object obj1,
                         @RequestParam(value = "obj2", defaultValue = "null") Object obj2,
                         @RequestParam(value = "typeInp", defaultValue = "str") String typeInp) {
        return calcService.GetSum(obj1, obj2, typeInp);
    }

    @GetMapping("/GetMinus")
    public Object getMinus(@RequestParam(value = "obj1", defaultValue = "null") Object obj1,
                           @RequestParam(value = "obj2", defaultValue = "null") Object obj2,
                           @RequestParam(value = "typeInp", defaultValue = "str") String typeInp) {
        return calcService.GetMinus(obj1, obj2, typeInp);
    }

    @GetMapping("/GetMult")
    public Object getMult(@RequestParam(value = "obj1", defaultValue = "null") Object obj1,
                          @RequestParam(value = "obj2", defaultValue = "null") Object obj2,
                          @RequestParam(value = "typeInp", defaultValue = "str") String typeInp) {
        return calcService.GetMult(obj1, obj2, typeInp);
    }

    @GetMapping("/GetDiv")
    public Object getDiv(@RequestParam(value = "obj1", defaultValue = "null") Object obj1,
                         @RequestParam(value = "obj2", defaultValue = "null") Object obj2,
                         @RequestParam(value = "typeInp", defaultValue = "str") String typeInp) {
        return calcService.GetDiv(obj1, obj2, typeInp);
    }
}
