package com.example.lab.AllTypeCalc.domain;
import com.example.lab.AllTypeCalc.domain.ICalculation;
import org.springframework.stereotype.Component;

import java.util.Arrays;

@Component(value = "arr")
public class CalculationArr implements ICalculation<String[]> {

    @Override
    public String[] GetSum(String[] firstInp, String[] secondInp) {
        String[] resArr;
        String[] longArr;
        String[] shortArr;
        if (secondInp.length > firstInp.length) {
            longArr = secondInp.clone();
            shortArr = firstInp.clone();
        } else {
            longArr = firstInp.clone();
            shortArr = secondInp.clone();
        }
        resArr = new String[longArr.length];
        for (int i = 0; i < shortArr.length; i++) {
            resArr[i] = Integer.toString(Integer.parseInt(longArr[i])  + Integer.parseInt(shortArr[i]));
        }
        for (int i = shortArr.length; i < longArr.length; i++) {
            resArr[i] = longArr[i];
        }
        return resArr;
    }

    @Override
    public String[] GetMinus(String[] firstInp, String[] secondInp) {
        String[] resArr;
        String[] longArr;
        String[] shortArr;
        if (secondInp.length > firstInp.length) {
            longArr = secondInp.clone();
            shortArr = firstInp.clone();
        } else {
            longArr = firstInp.clone();
            shortArr = secondInp.clone();
        }
        resArr = new String[longArr.length];
        for (int i = 0; i < shortArr.length; i++) {
            resArr[i] = Integer.toString(Integer.parseInt(longArr[i])  - Integer.parseInt(shortArr[i]));
        }
        for (int i = shortArr.length; i < longArr.length; i++) {
            resArr[i] = longArr[i];
        }
        return resArr;
    }

    @Override
    public String[] GetMult(String firstInp[], String secondInp[]) {
        String[] resArr;
        String[] longArr;
        String[] shortArr;
        if (secondInp.length > firstInp.length) {
            longArr = secondInp.clone();
            shortArr = firstInp.clone();
        } else {
            longArr = firstInp.clone();
            shortArr = secondInp.clone();
        }
        resArr = new String[longArr.length];
        for (int i = 0; i < shortArr.length; i++) {
            resArr[i] = Integer.toString(Integer.parseInt(longArr[i])  * Integer.parseInt(shortArr[i]));
        }
        for (int i = shortArr.length; i < longArr.length; i++) {
            resArr[i] = longArr[i];
        }
        return resArr;
    }

    @Override
    public String[] GetDiv(String[] firstInp, String[] secondInp) {
        String[] resArr;
        String[] longArr;
        String[] shortArr;
        if (secondInp.length > firstInp.length) {
            longArr = secondInp.clone();
            shortArr = firstInp.clone();
        } else {
            longArr = firstInp.clone();
            shortArr = secondInp.clone();
        }
        resArr = new String[longArr.length];
        for (int i = 0; i < shortArr.length; i++) {
            resArr[i] =Integer.toString(Integer.parseInt(longArr[i])  / Integer.parseInt(shortArr[i]));
        }
        for (int i = shortArr.length; i < longArr.length; i++) {
            resArr[i] = longArr[i];
        }
        return resArr;
    }
}
