package com.example.lab.AllTypeCalc.domain;

import com.example.lab.AllTypeCalc.domain.ICalculation;
import org.springframework.stereotype.Component;

@Component(value = "str")

public class CalculationStr implements ICalculation<String> {
    @Override
    public String GetSum(String firstInp, String secondInp) {
        return (firstInp+secondInp);
    }

    @Override
    public String GetMinus(String firstInp, String secondInp) {
        StringBuilder bufStr = new StringBuilder();
        if (firstInp.equals(secondInp)){
            return "0";
        }
        else {
            for (int i = 0; i < firstInp.length(); i++) {
                boolean check = true;
                for (int k = 0; k < secondInp.length(); k++) {
                    if (firstInp.charAt(i) == secondInp.charAt(k)) {
                        check = false;
                        break;
                    }
                }
                if (check){
                    bufStr.append(firstInp.charAt(i));}
            }
        }
        return bufStr.toString();
    }

    @Override
    public String GetMult(String firstInp, String secondInp) {
        int multInt = secondInp.length();
        StringBuilder multResult = new StringBuilder();
        for (int i = 0; i < multInt; i++){
            multResult.append(firstInp);
        }
        return multResult.toString();
    }

    @Override
    public String GetDiv(String firstInp, String secondInp) {
        if (secondInp.length() !=0) {
            double divRes = 1.0 * firstInp.length() / secondInp.length();
            return Double.toString(divRes);
        }
        else return "error";
    }
}
